[Rubyinstaller-devel] Optional DevKit gem install request

Luis Lavena luislavena at gmail.com
Tue Jun 30 13:10:20 EDT 2009

On Tue, Jun 30, 2009 at 10:31 AM, Jon<jon.forums at gmail.com> wrote:
> I'm requesting that the upcoming DevKit gem be able to be optionally "pre-installed" from the installer at the same time one installs the base Ruby install.
> Given that DevKit is such an important part of Win32-based Ruby environments that do not already have a build environment, I feel this option is a more user friendly alternative than requiring a new user who wants to be able to have gems build native extension perform the following:
> 1) Download OCI
> 2) Run the installer
> 3) Open a command prompt
> 4) Type "gem install devkit"
> While I don't think the OCI should be burdened with too many pre-installed gems, I also think that the DevKit gem is such a critical component of a working Win32 Ruby system that it should be treated more of as a "Super Gem" and allowed to be optionally preinstalled.
> I also like the idea that DevKit is a gem so that if and when it's time to move to GCC-4.4.0 from MinGW, the upgrade should (hopefully) be easy.
> Thanks for considering the proposal.

Thank you Jon for your write up. I need to think a little bit more on
this, since ideally DevKit gem and the installation of the components
should be shared across versions of ruby.

Will keep you posted.

Luis Lavena
Perfection in design is achieved not when there is nothing more to add,
but rather when there is nothing more to take away.
Antoine de Saint-Exupéry

More information about the Rubyinstaller-devel mailing list